struct rio_route_ops
Prev | Structures | Next

## Name

struct rio_route_ops — Per-switch route operations

## Synopsis

    struct rio_route_ops {
      u16 vid;
      u16 did;
      int (* add_hook) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 route_port);
      int (* get_hook) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 * route_port);
    };

## Members

vid

  RIO vendor ID

did

  RIO device ID

add_hook

  Callback that adds a route entry

get_hook

  Callback that gets a route entry

## Description

Defines the operations that are necessary to manipulate the route tables for a particular RIO switch device.

Prev | Up | Next
struct rio_device_id | Home | Enumeration and Discovery